package com.zhyc.module.base.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zhyc.common.annotation.Excel;
import com.zhyc.common.core.domain.BaseEntity;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class BasSheepGroupExportVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    private Long groupId;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    /** 分组名称 */
    @Excel(name = "分组名称")
    private String groupName;

    /** 管理耳号 */
    @Excel(name = "耳号")
    private String bsManageTags;

    /** 品种 */
    @Excel(name = "品种")
    private String variety;

    /** 性别 */

    private Long gender;

    public String getGenderText() {
        return genderText;
    }

    public void setGenderText(String genderText) {
        this.genderText = genderText;
    }

    /* 性别文本，真正导出的列 */
    @Excel(name = "性别")
    private String genderText;


    /** 羊只类型 */
    @Excel(name = "羊只类型")
    private String name;



    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 胎次 */
    @Excel(name = "胎次")
    private Long parity;


    /** 月龄 */
    @Excel(name = "月龄")
    private Long monthAge;

    /** 繁殖状态 */
    @Excel(name = "繁殖状态")
    private String breed;

    /** 出生体重 */
    @Excel(name = "出生体重")
    private Long birthWeight;


    /** 断奶体重 */
    @Excel(name = "断奶体重")
    private Long weaningWeight;

    /** 当前体重 */
    @Excel(name = "当前体重")
    private Long currentWeight;




    /** 父亲管理耳号 */
    @Excel(name = "父号")
    private String fatherManageTags;


    /** 母亲管理耳号 */
    @Excel(name = "母号")
    private String motherManageTags;

    /** 家系 */
    @Excel(name = "家系")
    private String family;


    public String getBsManageTags() {
        return bsManageTags;
    }

    public void setBsManageTags(String bsManageTags) {
        this.bsManageTags = bsManageTags;
    }

    public String getVariety() {
        return variety;
    }

    public void setVariety(String variety) {
        this.variety = variety;
    }

    public String getFamily() {
        return family;
    }

    public void setFamily(String family) {
        this.family = family;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getGender() {
        return gender;
    }

    public void setGender(Long gender) {
        this.gender = gender;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Long getMonthAge() {
        return monthAge;
    }

    public void setMonthAge(Long monthAge) {
        this.monthAge = monthAge;
    }

    public Long getParity() {
        return parity;
    }

    public void setParity(Long parity) {
        this.parity = parity;
    }

    public Long getBirthWeight() {
        return birthWeight;
    }

    public void setBirthWeight(Long birthWeight) {
        this.birthWeight = birthWeight;
    }



    public Long getWeaningWeight() {
        return weaningWeight;
    }

    public void setWeaningWeight(Long weaningWeight) {
        this.weaningWeight = weaningWeight;
    }

    public Long getCurrentWeight() {
        return currentWeight;
    }

    public void setCurrentWeight(Long currentWeight) {
        this.currentWeight = currentWeight;
    }

    public String getBreed() {
        return breed;
    }

    public void setBreed(String breed) {
        this.breed = breed;
    }

    public String getFatherManageTags() {
        return fatherManageTags;
    }

    public void setFatherManageTags(String fatherManageTags) {
        this.fatherManageTags = fatherManageTags;
    }

    public String getMotherManageTags() {
        return motherManageTags;
    }

    public void setMotherManageTags(String motherManageTags) {
        this.motherManageTags = motherManageTags;
    }
}
